Subject: Re: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: Eli Zaretskii <[email-masked]>
Date: Sat, 03 Aug 2013 10:57:34 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 02 Aug 2013 16:00:51 +0200
> 
> Hm...  here it seems like the delete-process really triggers a complete
> Emacs refresh:

I see only 6 screen lines (including the menu bar) being redrawn.  Did
you show only part of the refresh?

Anyway, the important thing is to understand why the enabled_p flag of
these screen lines is reset, because all those calls to write_glyphs
that you show are due to that cause.  That is what causes Emacs to
redraw these lines, even though they are actually unchanged.